Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002102 [Piwigo] language feature sometimes 2011.01.11 17:30 2011.01.20 15:45
Reporter rvelices View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.0RC1 Product Version 2.1.5
  Target Version 2.2.0RC1 Product Build
Summary 0002102: rename "image"/"item" into "photo"
Description rename "image"/"item" into "photo"
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0001616closedrvelices rename "category" into "album" 

-  Notes
(0004640)
ddtddt (administrator)
2011.01.12 15:38

step 1 translate plugin http://piwigo.org/ext/extension_view.php?eid=449 [^] to EN
(0004643)
rvelices (developer)
2011.01.12 17:16

>> step 1 translate plugin ...
I thought of starting directly in trunk because we will also change the keys (as for the albums) and make the required changes to the tpl, php files ...
(0004644)
ddtddt (administrator)
2011.01.12 18:11

If we translate the plugin, we can just change the keys for Languages (without deleting the current translation)

and as for album, when the plugin is translated, integrat by localisation

This avoids the location with lots of online untranslated

If the plugin is not available in English, translators cann't begin work

shouldn't all locations are left with 50 lines untranslated
(0004648)
svn (reporter)
2011.01.14 22:19

[Subversion] r8665 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102 : rename item/image/picture to photo
(0004649)
svn (reporter)
2011.01.14 22:20

[Subversion] r8666 by rvelices on extension rv_gmaps, extension rv_menutree, extension rv_sitemap

-----[Subversion commit log]----------------------------------------------------
rv_gmaps feature 2102 : rename item/image/picture to photo
(0004651)
svn (reporter)
2011.01.15 21:52

[Subversion] r8682 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102 : rename item/image/picture to photo (admin side)
also remove duplicates/unused admin lang keys
(0004652)
svn (reporter)
2011.01.16 21:43

[Subversion] r8711 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102 : rename item/image/picture to photo (public side)
(0004653)
svn (reporter)
2011.01.17 13:30

[Subversion] r8719 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102: a mapping from old language keys to new language keys, will be used to inject new values from the Photos plugin into core
(0004656)
svn (reporter)
2011.01.17 21:27

[Subversion] r8723 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102 : rename item/image/picture to photo (admin side)
also removed unnecessary/duplicate keys
(0004659)
svn (reporter)
2011.01.18 00:53

[Subversion] r8727 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102: add a few language keys to remove all image/picture/element and replace by photo
(0004676)
svn (reporter)
2011.01.20 00:41

[Subversion] r8783 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102: mistake in my previous commit r8727 on "manage album photos" string
(0004679)
svn (reporter)
2011.01.20 15:29

[Subversion] r8803 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102: inject strings from the "Photos" plugin into core for the following
languages de_DE es_ES lv_LV ru_RU fr_FR
(0004680)
svn (reporter)
2011.01.20 15:45

[Subversion] r8805 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2102: reapply the Photos plugin for de_DE after conversion to utf8

- Issue History
Date Modified Username Field Change
2011.01.11 17:30 rvelices New Issue
2011.01.11 17:30 rvelices browser => any
2011.01.11 17:30 rvelices Web server => Apache 1.3.x
2011.01.11 17:30 rvelices Relationship added related to 0001616
2011.01.12 15:38 ddtddt Note Added: 0004640
2011.01.12 17:16 rvelices Note Added: 0004643
2011.01.12 18:11 ddtddt Note Added: 0004644
2011.01.14 22:19 svn Checkin
2011.01.14 22:19 svn Note Added: 0004648
2011.01.14 22:20 svn Checkin
2011.01.14 22:20 svn Note Added: 0004649
2011.01.15 21:52 svn Checkin
2011.01.15 21:52 svn Note Added: 0004651
2011.01.16 21:43 svn Checkin
2011.01.16 21:43 svn Note Added: 0004652
2011.01.17 13:29 plg Assigned To => plg
2011.01.17 13:29 plg Status new => assigned
2011.01.17 13:30 svn Checkin
2011.01.17 13:30 svn Note Added: 0004653
2011.01.17 21:27 svn Checkin
2011.01.17 21:27 svn Note Added: 0004656
2011.01.18 00:53 svn Checkin
2011.01.18 00:53 svn Note Added: 0004659
2011.01.19 14:33 plg Assigned To plg => rvelices
2011.01.19 14:33 plg Status assigned => closed
2011.01.19 14:33 plg Resolution open => fixed
2011.01.19 14:33 plg Fixed in Version => 2.2.0RC1
2011.01.20 00:41 svn Checkin
2011.01.20 00:41 svn Note Added: 0004676
2011.01.20 15:29 svn Checkin
2011.01.20 15:29 svn Note Added: 0004679
2011.01.20 15:45 svn Checkin
2011.01.20 15:45 svn Note Added: 0004680


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker